date {base} | R Documentation

## System Date and Time

### Description

Returns a character string of the current system date and time.

### Usage

    date()

### Value

The string has the form `"Fri Aug 20 11:11:00 1999"`, i.e., length 24, since it relies on POSIX's `ctime` ensuring the above fixed format. Timezone and Daylight Saving Time are taken account of, but not indicated in the result.

The day and month abbreviations are always in English, irrespective of locale.

### References

Becker, R. A., Chambers, J. M. and Wilks, A. R. (1988) The New S Language. Wadsworth & Brooks/Cole.

### See Also

`Sys.Date` and `Sys.time`; `Date` and `DateTimeClasses` for objects representing date and time.

### Examples

    (d <- date())
    nchar(d) == 24

    ## something similar in the current locale
    format(Sys.time(), "%a %b %d %H:%M:%S %Y")

[Package base version 3.6.0 Index]